# Interface Attribute

interface Attribute {
attributeId ?: string;
endIndex ?: number;
isInheritable ?: boolean;
name : string;
noteId ?: string;
startIndex ?: number;
type : AttributeType ;
value ?: string;
}

- Defined in src/public/app/services/attribute_parser.ts:10

##### Index

### Properties

attributeId?
endIndex?
isInheritable?
name
noteId?
startIndex?
type
value?

## Properties

### `Optional` attributeId

attributeId?: string

- Defined in src/public/app/services/attribute_parser.ts:11

### `Optional` endIndex

endIndex?: number

- Defined in src/public/app/services/attribute_parser.ts:17

### `Optional` isInheritable

isInheritable?: boolean

- Defined in src/public/app/services/attribute_parser.ts:14

### name

name: string

- Defined in src/public/app/services/attribute_parser.ts:13

### `Optional` noteId

noteId?: string

- Defined in src/public/app/services/attribute_parser.ts:18

### `Optional` startIndex

startIndex?: number

- Defined in src/public/app/services/attribute_parser.ts:16

### type

type: AttributeType

- Defined in src/public/app/services/attribute_parser.ts:12

### `Optional` value

value?: string

- Defined in src/public/app/services/attribute_parser.ts:15